JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun();
const proxies = await client.connect.proxies.list();
console.log(proxies.items);from mobilerun_sdk import Mobilerun
client = Mobilerun()
proxies = client.connect.proxies.list()
print(proxies.items)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
)
func main() {
client := mobileruncloud.NewClient()
proxies, err := client.Connect.Proxies.List(context.TODO(), mobileruncloud.ConnectProxyListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", proxies.Items)
}mobilerun-cloud connect:proxies listcurl --request GET \
--url https://api.mobilerun.ai/connect/proxies
{
"items": [
{
"country": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"host": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"port": 123,
"username": "<string>"
}
],
"pagination": {
"hasNext": true,
"hasPrev": true,
"page": 123,
"pageSize": 123,
"pages": 123,
"total": 123
}
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"status": 123,
"title": "<string>"
}Proxies
List proxies
Returns proxies owned by the calling tenant (the X-Owner-Id header, falling back to X-User-ID). Credentials are omitted from the list.
GET
/
connect
/
proxies
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun();
const proxies = await client.connect.proxies.list();
console.log(proxies.items);from mobilerun_sdk import Mobilerun
client = Mobilerun()
proxies = client.connect.proxies.list()
print(proxies.items)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
)
func main() {
client := mobileruncloud.NewClient()
proxies, err := client.Connect.Proxies.List(context.TODO(), mobileruncloud.ConnectProxyListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", proxies.Items)
}mobilerun-cloud connect:proxies listQuery Parameters
Page number (1-based).
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100Filter to proxies in this country (ISO 3166-1 alpha-2, lowercase).
Was this page helpful?
⌘I